## python-simple-pid 2.0.1

=== docs/requirements.txt ===
furo==2023.3.27
myst-parser==1.0.0
sphinx==6.2.1
sphinx-copybutton==0.5.2

=== debian/changelog ===
python-simple-pid (2.0.1-2) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.7.2, no changes needed.
    - Use autopkgtest-pkg-pybuild to enable autopkgtests.
    - Remove Rules-Requires-Root (no is now the default).
    - Use dh-sequence-python3 and dh-sequence-sphinxdoc.
    - Mark python3-simple-pid as M-A foreign (thanks Multiarch hinter).
    - Add missing Built-Using for sphinxdoc.
  * d/gbp.conf: Rename debian-branch to debian/latest.

 -- Alexander Sulfrian <alexander@sulfrian.net>  Tue, 21 Oct 2025 21:01:44 +0000

python-simple-pid (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1098438)
  * debian/patches:
    - Fix interpreter path in example file

 -- Alexander Sulfrian <alexander@sulfrian.net>  Thu, 20 Feb 2025 18:25:47 +0100

=== debian/control ===
Source: python-simple-pid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               furo <!nodoc>,
               python3-all,
               pybuild-plugin-pyproject,
               python3-myst-parser <!nodoc>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-simple-pid
Vcs-Git: https://salsa.debian.org/python-team/packages/python-simple-pid.git
Homepage: https://github.com/m-lundberg/simple-pid
Testsuite: autopkgtest-pkg-pybuild

Package: python3-simple-pid
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Multi-Arch: foreign
Description: Simple and easy-to-use PID controller - Python 3.x
 simple-pid is a simple and easy-to-use PID (proportional-integral-derivative)
 controller in Python. It has no external dependencies and is designed to be
 robust. It can be used to implement a feedback-based control loop in Python.
 .
 This package contains the Python 3 module.

Package: python-simple-pid-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Multi-Arch: foreign
Description: Simple and easy-to-use PID controller - documentation
 simple-pid is a simple and easy-to-use PID (proportional-integral-derivative)
 controller in Python. It has no external dependencies and is designed to be
 robust. It can be used to implement a feedback-based control loop in Python.
 .
 This package contains the documentation for simple-pid.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=simple_pid
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ debian/python-simple-pid-doc/usr/share/doc/python-simple-pid-doc/html/
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
https://github.com/m-lundberg/simple-pid/tags .*/v?(\d.*)@ARCHIVE_EXT@
